# VectorNav C++ Library: Angle Convertors

Angle Convertors

Methods useful for angle conversions. More...

## Functions

float | vn::math::rad2deg (float angleInRads)
| Converts an angle in radians to degrees. More...
double | vn::math::rad2deg (double angleInRads)
| Converts an angle in radians to degrees. More...
template<size_t dim>
vec< dim, float > | vn::math::rad2deg (vec< dim > anglesInRads)
| Convers a vector of angles in radians to degrees. More...
float vn_proglib_DLLEXPORT | vn::math::deg2rad (float angleInDegs)
| Converts an angle in degrees to radians. More...
double vn_proglib_DLLEXPORT | vn::math::deg2rad (double angleInDegs)
| Converts an angle in degrees to radians. More...
template<size_t dim>
vec< dim, float > | vn::math::deg2rad (vec< dim > anglesInDegs)
| Convers a vector of angles in degrees to radians. More...

## Detailed Description

Methods useful for angle conversions.

## Function Documentation

float vn_proglib_DLLEXPORT vn::math::deg2rad | ( | float | angleInDegs | ) |

Converts an angle in degrees to radians.

Parameters

  [in] | angleInDegs | The angle in degrees.

Returns
  The angle converted to radians.

double vn_proglib_DLLEXPORT vn::math::deg2rad | ( | double | angleInDegs | ) |

Converts an angle in degrees to radians.

Parameters

  [in] | angleInDegs | The angle in degrees.

Returns
  The angle converted to radians.

template<size_t dim>

vec<dim, float> vn::math::deg2rad | ( | vec< dim > | anglesInDegs | ) |

Convers a vector of angles in degrees to radians.

Parameters

  [in] | anglesInDegs | The vector of angles in degrees.

Returns
  The converted angles.

float vn::math::rad2deg | ( | float | angleInRads | ) |

Converts an angle in radians to degrees.

Parameters

  [in] | angleInRads | The angle in radians.

Returns
  The converted angle.

double vn::math::rad2deg | ( | double | angleInRads | ) |

Converts an angle in radians to degrees.

Parameters

  [in] | angleInRads | The angle in radians.

Returns
  The converted angle.

template<size_t dim>

vec<dim, float> vn::math::rad2deg | ( | vec< dim > | anglesInRads | ) |

Convers a vector of angles in radians to degrees.

Parameters

  [in] | anglesInRads | The vector of angles in radians.

Returns
  The converted angles.